All operations
INVENTORYREQUEST
Creates an inventory request with no pricing information, if successfull returns inventory request ID for the new request.
POST
/api/v2/inventory-request/requests/createliteAuthentication
Choose one supported method for this request.
Request body
requestTypeIDinteger · int32userIDinteger · int32companyIDinteger · int32contactIDinteger · int32branchIDinteger · int32intervalIDinteger · int32intervalCountinteger · int32rateSelectionintegerbaseMachineProfileIDinteger · int32willCallbooleanstartDatestring · date-timedeliveryDatestring · date-timemakestringmodelstringtaxableStatestringtaxableCountystringprojectInformationstringprojectNamestringgeneralContractorstringcontractorContactstringcontractorContactPhonestringcontractorContactEmailstringfreeFormCommentsstringjobAddress1stringjobAddress2stringjobCitystringjobStatestringjobCountystringjobCountrystringjobZipstringjobInstructionsstring
Responses
OK
Standard response envelope
isSuccessmessageerrorsdataRead the result from data. When isSuccess is false, errors lists what went wrong. Handling errors
integer · int32